require 'spec_helper'

describe Transmission::Client do

  before :all do
    @t = Transmission::Client.new(HOST, PORT, USERNAME, PASSWORD)
    @magnet_link = "magnet:?xt=urn:btih:F36C92A8F78A1AFF70A61A5F5BFE5E6757176133&dn=ubuntu+12+10+desktop+amd64&tr=udp%3A%2F%2Ffr33domtracker.h33t.com%3A3310%2Fannounce&tr=udp%3A%2F%2Fopen.demonii.com%3A1337"
    @hashString = "F36C92A8F78A1AFF70A61A5F5BFE5E6757176133"
  end

  it 'should add torrent' do
    response = @t.torrent_add( :filename => @magnet_link )
    expect(response.result).to eql("success")
  end

  it 'should get torrents' do
    response = @t.torrent_get( nil, @hashString )
    expect(response.result).to eql("success")
    expect(response.arguments.length).to eql(1)
  end

  it 'should stop torrent' do
    response = @t.torrent_stop( @hashString )
    expect(response.result).to eql("success")
  end

  it 'should start torrent not now' do
    response = @t.torrent_start( @hashString )
    expect(response.result).to eql("success")
  end

  it 'should start torrent now' do
    response = @t.torrent_start_now( @hashString )
    expect(response.result).to eql("success")
  end

  it 'should verify torrent' do
    response = @t.torrent_verify( @hashString )
    expect(response.result).to eql("success")
  end

  it 'should reannounce torrent' do
    response = @t.torrent_reannounce( @hashString )
    expect(response.result).to eql("success")
  end

  it 'should set torrent attributes' do
    response = @t.torrent_set( { :downloadLimit => 10 }, @hashString )
    expect(response.result).to eql("success")
  end

  it 'should remove torrent' do
    response = @t.torrent_remove( true, @hashString )
    expect(response.result).to eql("success")
  end
end